### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings
  commentId: T:adas_core.Domain.Models.AppSettings.RecordingSettings
  id: RecordingSettings
  parent: adas_core.Domain.Models.AppSettings
  children:
  - adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout
  - adas_core.Domain.Models.AppSettings.RecordingSettings.Recording
  - adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl
  - adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId
  - adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret
  langs:
  - csharp
  - vb
  name: RecordingSettings
  nameWithType: RecordingSettings
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RecordingSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingSettings
    path: ../../adas-core.Domain/Models/AppSettings/RecordingSettings.cs
    startLine: 5
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  summary: Represents configuration settings used to control recording behavior.
  example: []
  syntax:
    content: public class RecordingSettings
    content.vb: Public Class RecordingSettings
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.Recording
  commentId: F:adas_core.Domain.Models.AppSettings.RecordingSettings.Recording
  id: Recording
  parent: adas_core.Domain.Models.AppSettings.RecordingSettings
  langs:
  - csharp
  - vb
  name: Recording
  nameWithType: RecordingSettings.Recording
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.Recording
  type: Field
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RecordingSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Recording
    path: ../../adas-core.Domain/Models/AppSettings/RecordingSettings.cs
    startLine: 7
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public const string Recording = "RecordingSettings"
    return:
      type: System.String
    content.vb: Public Const Recording As String = "RecordingSettings"
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl
  commentId: P:adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl
  id: RecordingApiUrl
  parent: adas_core.Domain.Models.AppSettings.RecordingSettings
  langs:
  - csharp
  - vb
  name: RecordingApiUrl
  nameWithType: RecordingSettings.RecordingApiUrl
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RecordingSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingApiUrl
    path: ../../adas-core.Domain/Models/AppSettings/RecordingSettings.cs
    startLine: 9
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string RecordingApiUrl { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property RecordingApiUrl As String
  overload: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl*
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId
  commentId: P:adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId
  id: RecordingOrApiClientId
  parent: adas_core.Domain.Models.AppSettings.RecordingSettings
  langs:
  - csharp
  - vb
  name: RecordingOrApiClientId
  nameWithType: RecordingSettings.RecordingOrApiClientId
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RecordingSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingOrApiClientId
    path: ../../adas-core.Domain/Models/AppSettings/RecordingSettings.cs
    startLine: 10
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string RecordingOrApiClientId { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property RecordingOrApiClientId As String
  overload: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId*
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret
  commentId: P:adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret
  id: RecordingOrApiClientSecret
  parent: adas_core.Domain.Models.AppSettings.RecordingSettings
  langs:
  - csharp
  - vb
  name: RecordingOrApiClientSecret
  nameWithType: RecordingSettings.RecordingOrApiClientSecret
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RecordingSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingOrApiClientSecret
    path: ../../adas-core.Domain/Models/AppSettings/RecordingSettings.cs
    startLine: 11
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public string RecordingOrApiClientSecret { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property RecordingOrApiClientSecret As String
  overload: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret*
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout
  commentId: P:adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout
  id: HttpClientTimeout
  parent: adas_core.Domain.Models.AppSettings.RecordingSettings
  langs:
  - csharp
  - vb
  name: HttpClientTimeout
  nameWithType: RecordingSettings.HttpClientTimeout
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/AppSettings/RecordingSettings.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: HttpClientTimeout
    path: ../../adas-core.Domain/Models/AppSettings/RecordingSettings.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.AppSettings
  syntax:
    content: public int HttpClientTimeout { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property HttpClientTimeout As Integer
  overload: adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout*
references:
- uid: adas_core.Domain.Models.AppSettings
  commentId: N:adas_core.Domain.Models.AppSettings
  href: adas_core.html
  name: adas_core.Domain.Models.AppSettings
  nameWithType: adas_core.Domain.Models.AppSettings
  fullName: adas_core.Domain.Models.AppSettings
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.AppSettings
    name: AppSettings
    href: adas_core.Domain.Models.AppSettings.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl
  href: adas_core.Domain.Models.AppSettings.RecordingSettings.html#adas_core_Domain_Models_AppSettings_RecordingSettings_RecordingApiUrl
  name: RecordingApiUrl
  nameWithType: RecordingSettings.RecordingApiUrl
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingApiUrl
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId
  href: adas_core.Domain.Models.AppSettings.RecordingSettings.html#adas_core_Domain_Models_AppSettings_RecordingSettings_RecordingOrApiClientId
  name: RecordingOrApiClientId
  nameWithType: RecordingSettings.RecordingOrApiClientId
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientId
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret
  href: adas_core.Domain.Models.AppSettings.RecordingSettings.html#adas_core_Domain_Models_AppSettings_RecordingSettings_RecordingOrApiClientSecret
  name: RecordingOrApiClientSecret
  nameWithType: RecordingSettings.RecordingOrApiClientSecret
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.RecordingOrApiClientSecret
- uid: adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout*
  commentId: Overload:adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout
  href: adas_core.Domain.Models.AppSettings.RecordingSettings.html#adas_core_Domain_Models_AppSettings_RecordingSettings_HttpClientTimeout
  name: HttpClientTimeout
  nameWithType: RecordingSettings.HttpClientTimeout
  fullName: adas_core.Domain.Models.AppSettings.RecordingSettings.HttpClientTimeout
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
